Bug 428281 - qpxtool doesn't work under kernel 2.6.23.12-52.fc7
qpxtool doesn't work under kernel 2.6.23.12-52.fc7
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qpxtool (Show other bugs)
10
i686 Linux
low Severity low
: ---
: ---
Assigned To: Adel Gadllah
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 429353
  Show dependency treegraph
 
Reported: 2008-01-10 08:43 EST by David Gesswein
Modified: 2009-12-18 01:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:02:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg output (28.47 KB, text/plain)
2008-01-10 12:14 EST, David Gesswein
no flags Details
qpxtool run with backtrace of segv (9.97 KB, text/plain)
2008-04-06 10:56 EDT, David Gesswein
no flags Details

  None (edit)
Description David Gesswein 2008-01-10 08:43:03 EST
Description of problem:

If I try to run it under the latest FC7 kernel I get the errors
  Selected: /dev/scd0
! :-( unable to MODE_SENSE(10) : Input/output error
! :-( unable to MODE_SENSE(10) : Input/output error
  
  ** Reading supported mode pages...
! :-( unable to MODE_SENSE(10) : Input/output error
! :-( unable to GET_CONFIGURATION LENGTH : Input/output error
! :-( unable to MODE_SENSE(10) : Input/output error

and the information on the media pages is all wrong like DVDs are shown as CDs

Under kernel 2.6.23.8-34 it works ok.


Version-Release number of selected component (if applicable):
qpxtool-0.6.1-5.fc7


How reproducible:
Just run under specified kernel
Drive is lite-on /dev/scd0: ATAPI    DVD A  DH20A3P   XP5Z

Actual results:
See description

Expected results:
Selected: /dev/scd0^M
Buffer capacity: 0x0800 (2048)KB^M
CD parameters page length: 0x3A^M
 2A 3A 3F 37 F1 77 29 23^M
 56 90 01 00 08 00 56 90^M
 00 10 56 90 56 90 00 01^M
 00 00 00 01 56 90 00 05^M
...

Additional info:
Comment 1 Adel Gadllah 2008-01-10 11:18:46 EST
can you attach your dmesg output?
Comment 2 David Gesswein 2008-01-10 12:14:55 EST
Created attachment 291299 [details]
dmesg output
Comment 3 Chuck Ebbert 2008-01-10 13:21:27 EST
It's possible that the program is sending misformatted SCSI commands that are
being detected by the new length-checking logic in more recent kernels.

This problem occurs on kernel 2.6.24-rc7 too, and the sg3_utils mode sense
program (sg_modes) seems to work okay on all kernels I tried.
Comment 4 Adel Gadllah 2008-01-11 12:13:16 EST
(In reply to comment #3)
> It's possible that the program is sending misformatted SCSI commands that are
> being detected by the new length-checking logic in more recent kernels.
> 
> This problem occurs on kernel 2.6.24-rc7 too, and the sg3_utils mode sense
> program (sg_modes) seems to work okay on all kernels I tried.
> 

seems like reverting linux-2.6-libata-scsi-allow-short-commands.patch fixes the
problem.
Comment 5 Adel Gadllah 2008-01-11 18:03:42 EST
David, please try this build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=343308
Comment 6 David Gesswein 2008-01-11 18:45:30 EST
Almost works.  The media page looks good and read transfer rate test works but
the DVD check PIE doesn't work. The GUI just says all test complete immediately.
In the terminal window it displays: 

set_scan_commands(LITE-ON )
** scan speed: 12x
Remaining: 13.000 sec...
:-( unable to LiteOn_init_pi_scan : Input/output error

** Starting LITE-ON  PIE/PIF sum8 scan...
Error initializing test!
Disc info length: 0x0020
   0x00 0x20 0x0E 0x01 0x01 0x01 0x01 0x20
   0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00
   0xFF 0xFF 0xFF 0xFF 0xFF 0xFF 0xFF 0xFF
   0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00
   0x00 0x00
   first track# on disc: 1

On media page selected commands Lite-on, speed 12x and PIE(sum8) check box.
Comment 7 Chuck Ebbert 2008-01-11 18:51:42 EST
(In reply to comment #6)
> Almost works.  The media page looks good and read transfer rate test works but
> the DVD check PIE doesn't work. The GUI just says all test complete immediately.
> In the terminal window it displays: 
> 
> set_scan_commands(LITE-ON )
> ** scan speed: 12x
> Remaining: 13.000 sec...
> :-( unable to LiteOn_init_pi_scan : Input/output error
> 

Are there any error messages in the system log when this happens?
Comment 8 David Gesswein 2008-01-11 19:32:03 EST
Nothing in dmesg or /var/log/messages
Comment 9 Adel Gadllah 2008-03-23 07:28:50 EDT
David, can you please try this build:
http://koji.fedoraproject.org/koji/buildinfo?buildID=43577
(While using a 2.6.24 based kernel like 2.6.24.3-34.fc8=
Comment 10 Fedora Update System 2008-03-23 07:44:15 EDT
qpxtool-0.6.1-7.fc8 has been submitted as an update for Fedora 8
Comment 11 Fedora Update System 2008-03-23 08:22:47 EDT
qpxtool-0.6.1-6.fc7 has been submitted as an update for Fedora 7
Comment 12 Adel Gadllah 2008-03-23 08:23:57 EDT
Did some more tests with my Plextor PX-755. 
Even firmware flashing works now.
Comment 13 Fedora Update System 2008-03-26 13:09:44 EDT
qpxtool-0.6.1-6.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qpxtool'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F7/FEDORA-2008-2660
Comment 14 David Gesswein 2008-03-26 23:23:49 EDT
Is a 2.6.24 kernel available for fc7?

I was using the koji qpxtool-0.6.1-7 and it was working for a while but the last
disk I used it on it segfaulted. I tries the new qpxtool-0.6.1-6.fc7 and it also
segfaulted on that disk.  I went back and tried other disks I think I had
successfully scanned and it segfaults to so it may not have been the disk.

** Starting LITE-ON  PIE/PIF sum8 scan...
Blocks: 416
pos: 32768 / 1811424 || PIE: 227 max, 227 cur,   47596 tot ||PIF: 220 max, 220
cur,   46591 tot ||POF:   0 max,   0 cur,       0 tot ||
pos: 29696 / 1811424 || PIE: 227 max, 220 cur,   82434 tot ||PIF: 220 max, 219
cur,   81145 tot ||POF:   0 max,   0 cur,       0 tot ||
pos: 27392 / 1811424 || PIE: 227 max, 226 cur,  105987 tot ||PIF: 222 max, 222
cur,  104380 tot ||POF:   0 max,   0 cur,       0 tot ||
pos: 24704 / 1811424 || PIE: 227 max, 221 cur,  117891 tot ||PIF: 222 max, 219
cur,  116101 tot ||POF:   0 max,   0 cur,       0 tot ||
pos: 24704 / 1811424 || PIE: 227 max, 208 cur,  122675 tot ||PIF: 222 max, 208
cur,  120768 tot ||POF:   0 max,   0 cur,       0 tot ||
pos: 28672 / 1811424 || PIE: 227 max, 208 cur,  126835 tot ||PIF: 222 max, 206
cur,  124791 tot ||POF:   0 max,   0 cur,       0 tot ||
pos: 33408 / 1811424 || PIE: 227 max, 213 cur,  131628 tot ||PIF: 222 max, 207
cur,  129410 tot ||POF:   0 max,   0 cur,       0 tot ||
Segmentation fault
Comment 15 Adel Gadllah 2008-03-27 15:22:07 EDT
Can you get and attach a backtrace of it?
Comment 16 David Gesswein 2008-03-27 22:16:46 EDT
** scan speed: 12x
Remaining: 13.000 sec...
LiteOn_init_pi_scan: OK

** Starting LITE-ON  PIE/PIF sum8 scan...
Blocks: 480
pos: 4480 / 2091888 || PIE:   0 max,   0 cur,       0 tot ||PIF:   0 max,   0
cur,       0 tot ||POF:   0 max,   0 cur,       0 tot ||
pos: 35712 / 2091888 || PIE:  12 max,  12 cur,     992 tot ||PIF:   1 max,   1
cur,      22 tot ||POF:   0 max,   0 cur,       0 tot ||

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208518432 (LWP 16593)]
0x00ab803a in _int_malloc () from /lib/libc.so.6
(gdb) bt
#0  0x00ab803a in _int_malloc () from /lib/libc.so.6
#1  0x00ab9ebe in malloc () from /lib/libc.so.6
#2  0x076db547 in operator new () from /usr/lib/libstdc++.so.6
#3  0x076db67d in operator new[] () from /usr/lib/libstdc++.so.6
#4  0x05b2968f in QString::setLength () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#5  0x05b29820 in QString::grow () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#6  0x05b298b3 in QString::operator+= () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#7  0x057bf710 in QFont::toString () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#8  0x057bffd9 in QFont::key () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#9  0x0589d4dd in QTextFormat::getKey () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#10 0x0589d6ae in QTextFormat::generateKey ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#11 0x0589dd44 in QTextFormat::QTextFormat ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#12 0x05865013 in QTextFormatCollection::QTextFormatCollection ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#13 0x05889410 in QTextDocument::QTextDocument ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#14 0x058a07a4 in QSimpleRichText::QSimpleRichText ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#15 0x058df61f in QLabel::setText () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#16 0x0806137e in QPxToolWidget::show_lba (this=0x93a07a0, block=0x93ea198)
    at QPxTool.cpp:2772
---Type <return> to continue, or q <return> to quit---
#17 0x080748c7 in QPxToolWidget::customEvent (this=0x93a07a0, event=0x96f5fb8)
    at QPxTool.cpp:3985
#18 0x0580a0ee in QObject::event () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#19 0x05846f4c in QWidget::event () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#20 0x05916542 in QMainWindow::event () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#21 0x057a13db in QApplication::internalNotify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#22 0x057a2a07 in QApplication::notify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#23 0x057a24a0 in QApplication::sendPostedEvents ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#24 0x057a2656 in QApplication::sendPostedEvents ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#25 0x05748cfd in QEventLoop::processEvents ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#26 0x057bad02 in QEventLoop::enterLoop ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#27 0x057babc6 in QEventLoop::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#28 0x057a101f in QApplication::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#29 0x08051064 in main (argc=135239880, argv=0x93b07f0) at main.cpp:68
#30 0x00a65f70 in __libc_start_main () from /lib/libc.so.6
#31 0x08050c11 in _start ()
(gdb) 
Comment 17 Fedora Update System 2008-04-01 17:32:43 EDT
qpxtool-0.6.1-7.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Adel Gadllah 2008-04-06 04:23:00 EDT
David can you please test this build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=551941
Comment 19 Fedora Update System 2008-04-06 04:24:57 EDT
qpxtool-0.6.1-7.fc7 has been submitted as an update for Fedora 7
Comment 20 Fedora Update System 2008-04-06 04:25:39 EDT
qpxtool-0.6.1-8.fc8 has been submitted as an update for Fedora 8
Comment 21 David Gesswein 2008-04-06 10:56:44 EDT
Created attachment 301428 [details]
qpxtool run with backtrace of segv
Comment 22 David Gesswein 2008-04-06 11:00:27 EDT
Looks like create attachment discarded my comments, try again.

The koji build still fails on FC7 with a segmentation fault. I just installed
and updated to current Fedora 8 on a different machine. It also fails when doing
the PIF scan. Both machines have liteon drives. Backtrace attached.
Comment 23 Bug Zapper 2008-05-14 11:14:47 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 24 Fedora Update System 2008-06-03 03:32:08 EDT
qpxtool-0.6.1-8.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 David Gesswein 2008-06-03 20:50:32 EDT
Still fails with a segmentation fault.
Comment 26 Adel Gadllah 2008-07-20 10:37:08 EDT
Can you please try this build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=728673

If it still fails provide a new backtrace.
Comment 27 Adel Gadllah 2008-08-13 12:29:46 EDT
ping?
Comment 28 David Gesswein 2008-08-18 22:05:47 EDT
I was running F9 which it failed on but I couldn't get the back trace to work. I have now rebooted F8 and updated it to latest but can't remember what I need to click on for the koji link above to download the install rpm. Can you point me to the correct link?
Comment 29 Bug Zapper 2008-11-26 04:22:19 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 30 David Gesswein 2008-12-14 21:09:34 EST
Still fails with Fedora 10. I tried to get a new backtrace but it looks like its now just exiting at the start of the scan where it used to segv.

** Starting LITE-ON  PIE/PIF sum8 scan...
Blocks: 410

Program exited with code 0213.
Missing separate debuginfos, use: debuginfo-install atk-1.24.0-1.fc10.i386 bug-buddy-2.24.2-1.fc10.i386 cairo-1.8.0-1.fc10.i386 e2fsprogs-libs-1.41.3-2.fc10.i386 elfutils-libelf-0.137-3.fc10.i386 expat-2.0.1-5.i386 fontconfig-2.6.0-3.fc10.i386 freetype-2.3.7-1.fc10.i386 gtk-nodoka-engine-0.7.2-1.fc10.i386 gtk2-2.14.4-3.fc10.i386 libICE-1.0.4-4.fc10.i386 libSM-1.1.0-2.fc10.i386 libX11-1.1.4-6.fc10.i386 libXau-1.0.4-1.fc10.i386 libXcomposite-0.4.0-5.fc10.i386 libXcursor-1.1.9-3.fc10.i386 libXdamage-1.1.1-4.fc9.i386 libXdmcp-1.0.2-6.fc10.i386 libXext-1.0.4-1.fc9.i386 libXfixes-4.0.3-4.fc10.i386 libXi-1.1.3-4.fc9.i386 libXinerama-1.0.3-2.fc10.i386 libXrandr-1.2.3-1.fc10.i386 libXrender-0.9.4-3.fc9.i386 libcanberra-0.10-2.fc10.i386 libcanberra-gtk2-0.10-2.fc10.i386 libgcc-4.3.2-7.i386 libogg-1.1.3-9.fc9.i386 libpng-1.2.33-1.fc10.i386 libstdc++-4.3.2-7.i386 libtdb-1.1.1-23.fc10.i386 libtool-ltdl-1.5.26-4.fc10.i386 libvorbis-1.2.0-5.fc10.i386 libxcb-1.1.91-5.fc10.i386 pango-1.22.3-1.fc10.i386 pixman-0.12.0-2.fc10.i386 startup-notification-0.9-4.fc9.i386 zlib-1.2.3-18.fc9.i386
(gdb) bt
No stack.


I did get this error once when it exited.
** Destroying dynamic objects...
**   Destroying results...
**   Destroying grid...
*** glibc detected *** qpxtool: corrupted double-linked list: 0x08a56228 ***
======= Backtrace: =========
/lib/libc.so.6[0xc76394]
/lib/libc.so.6[0xc78113]
/lib/libc.so.6(cfree+0x96)[0xc78346]
/usr/lib/libstdc++.so.6(_ZdlPv+0x21)[0xb96f71]
qpxtool[0x8051779]
qpxtool[0x805b2d0]
qpxtool[0x8051191]
/lib/libc.so.6(__libc_start_main+0xe5)[0xc1d6d5]
qpxtool(_ZNK7QDialog8sizeHintEv+0x89)[0x8050d71]
======= Memory map: ========
00110000-00130000 r-xp 00000000 fd:00 376995     /lib/ld-2.9.so
00130000-00131000 r-xp 00130000 00:00 0          [vdso]
00131000-00132000 r--p 00020000 fd:00 376995     /lib/ld-2.9.so
00132000-00133000 rw-p 00021000 fd:00 376995     /lib/ld-2.9.so
00133000-0014c000 r-xp 00000000 fd:00 114884     /usr/lib/libqpxtransport.so.0.6.3
0014c000-0014d000 rw-p 00018000 fd:00 114884     /usr/lib/libqpxtransport.so.0.6.3
0014d000-00154000 r-xp 00000000 fd:00 114880     /usr/lib/libqpxplextor.so.0.6.1
00154000-00155000 rw-p 00006000 fd:00 114880     /usr/lib/libqpxplextor.so.0.6.1
00155000-00156000 r-xp 00000000 fd:00 114878     /usr/lib/libqpxpioneer.so.0.6.0
00156000-00157000 rw-p 00000000 fd:00 114878     /usr/lib/libqpxpioneer.so.0.6.0
00157000-00161000 r-xp 00000000 fd:00 114882     /usr/lib/libqpxscan.so.0.6.1
00161000-00162000 rw-p 00009000 fd:00 114882     /usr/lib/libqpxscan.so.0.6.1
00162000-00971000 r-xp 00000000 fd:00 370346     /usr/lib/qt-3.3/lib/libqt-mt.so.3.3.8
00971000-009b1000 rw-p 0080f000 fd:00 370346     /usr/lib/qt-3.3/lib/libqt-mt.so.3.3.8
009b1000-009b5000 rw-p 009b1000 00:00 0 
009b5000-009c4000 r-xp 00000000 fd:00 174990     /usr/lib/libXext.so.6.4.0
009c4000-009c5000 rw-p 0000e000 fd:00 174990     /usr/lib/libXext.so.6.4.0
009c5000-00ac2000 r-xp 00000000 fd:00 174988     /usr/lib/libX11.so.6.2.0
00ac2000-00ac5000 rw-p 000fd000 fd:00 174988     /usr/lib/libX11.so.6.2.0
00ac5000-00ac6000 rw-p 00ac5000 00:00 0 
00ac6000-00adc000 r-xp 00000000 fd:00 377026     /lib/libpthread-2.9.so
00adc000-00add000 r--p 00015000 fd:00 377026     /lib/libpthread-2.9.so
00add000-00ade000 rw-p 00016000 fd:00 377026     /lib/libpthread-2.9.so
00ade000-00ae0000 rw-p 00ade000 00:00 0 
00ae0000-00bc5000 r-xp 00000000 fd:00 173007     /usr/lib/libstdc++.so.6.0.10
00bc5000-00bc9000 r--p 000e4000 fd:00 173007     /usr/lib/libstdc++.so.6.0.10
00bc9000-00bca000 rw-p 000e8000 fd:00 173007     /usr/lib/libstdc++.so.6.0.10
00bca000-00bd0000 rw-p 00bca000 00:00 0 
00bd0000-00bf7000 r-xp 00000000 fd:00 377010     /lib/libm-2.9.so
00bf7000-00bf8000 r--p 00026000 fd:00 377010     /lib/libm-2.9.so
00bf8000-00bf9000 rw-p 00027000 fd:00 377010     /lib/libm-2.9.so
00bf9000-00c06000 r-xp 00000000 fd:00 376981     /lib/libgcc_s-4.3.2-20081105.so.1
00c06000-00c07000 rw-p 0000c000 fd:00 376981     /lib/libgcc_s-4.3.2-20081105.so.1
00c07000-00d75000 r-xp 00000000 fd:00 377002     /lib/libc-2.9.so
00d75000-00d77000 r--p 0016e000 fd:00 377002     /lib/libc-2.9.so
00d77000-00d78000 rw-p 00170000 fd:00 377002     /lib/libc-2.9.so
00d78000-00d7b000 rw-p 00d78000 00:00 0 
00d7b000-00de7000 r-xp 00000000 fd:00 175599     /usr/lib/libmng.so.1.0.0
00de7000-00dea000 rw-p 0006b000 fd:00 175599     /usr/lib/libmng.so.1.0.0
00dea000-00e0c000 r-xp 00000000 fd:00 173081     /usr/lib/libjpeg.so.62.0.0
00e0c000-00e0d000 rw-p 00021000 fd:00 173081     /usr/lib/libjpeg.so.62.0.0
00e0d000-00e34000 r-xp 00000000 fd:00 173084     /usr/lib/libpng12.so.0.33.0
00e34000-00e35000 rw-p 00026000 fd:00 173084     /usr/lib/libpng12.so.0.33.0
00e35000-00e48000 r-xp 00000000 fd:00 377044     /lib/libz.so.1.2.3
00e48000-00e49000 rw-p 00012000 fd:00 377044     /lib/libz.so.1.2.3
00e49000-00e51000 r-xp 00000000 fd:00 175002     /usr/lib/libXi.so.6.0.0
00e51000-00e52000 rw-p 00007000 fd:00 175002     /usr/lib/libXi.so.6.0.0
00e52000-00e5a000 r-xp 00000000 fd:00 174992     /usr/lib/libXrender.so.1.3.0
00e5a000-00e5b000 rw-p 00007000 fd:00 174992     /usr/lib/libXrender.so.1.3.0
00e5b000-00e61000 r-xp 00000000 fd:00 174996     /usr/lib/libXrandr.so.2.1.0
00e61000-00e62000 rw-p 00005000 fd:00 174996     /usr/lib/libXrandr.so.2.1.0
00e62000-00e6b000 r-xp 00000000 fd:00 175020     /usr/libAborted
[root@hugin2 ~]# qpxtool

________________________________
Comment 31 Bug Zapper 2009-11-18 07:24:39 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 32 David Gesswein 2009-12-13 15:36:45 EST
This problem doesn't occur in Fedora 12.
Comment 33 Bug Zapper 2009-12-18 01:02:36 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.